extend("fiskheroes:hero_basic"),
loadTextures({
    "layer1": "knights:darkseid_layer1",
    "layer2": "knights:darkseid_layer2"
});
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    utils.bindCloud(renderer, "fiskheroes:teleportation", "knights:boom_tube");
    utils.bindBeam(renderer, "fiskheroes:heat_vision", "knights:lightning_cast", "head", 0xFF3131, [
        { "firstPerson": [2.2, 0.0, 2.0], "offset": [2.2, -4.2, -4.0], "size": [1, 0.5] },
        { "firstPerson": [-2.2, 0.0, 2.0], "offset": [-2.2, -4.2, -4.0], "size": [1, 0.5] }
        ]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_energy_projection"));
}
function initAnimations(renderer) {
    parent.initAnimations(renderer);
    utils.addFlightAnimationWithLanding(renderer, "iron_man.FLIGHT", "fiskheroes:flight/iron_man.anim.json");
    utils.addHoverAnimation(renderer, "iron_man.HOVER", "fiskheroes:flight/idle/iron_man");
    addAnimationWithData(renderer, "iron_man.LAND", "fiskheroes:superhero_landing", "fiskheroes:dyn/superhero_landing_timer")
        .priority = -8;

    addAnimationWithData(renderer, "iron_man.ROLL", "fiskheroes:flight/barrel_roll", "fiskheroes:barrel_roll_timer")
        .priority = 10;
}